Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Managed Service for Trino
  • Getting started
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
        • Start
        • Stop
        • ListOperations
        • ListAccessBindings
        • SetAccessBindings
        • UpdateAccessBindings
  • Quotas and limits
  • Access management
  • Pricing policy
  • Yandex Monitoring metrics
  • Audit Trails events
  • Release notes

In this article:

  • HTTP request
  • Path parameters
  • Body parameters
  • UpdateTrinoConfigSpec
  • UpdateCoordinatorConfig
  • Resources
  • UpdateWorkerConfig
  • WorkerScalePolicy
  • FixedScalePolicy
  • AutoScalePolicy
  • RetryPolicyConfig
  • ExchangeManagerConfig
  • ExchangeManagerStorage
  • S3
  • AccessControlConfig
  • CatalogAccessRule
  • CatalogAccessRuleMatcher
  • CatalogIds
  • CatalogNames
  • SchemaAccessRule
  • SchemaAccessRuleMatcher
  • SchemaNames
  • TableAccessRule
  • TableAccessRuleMatcher
  • TableNames
  • Column
  • FunctionAccessRule
  • FunctionAccessRuleMatcher
  • FunctionNames
  • ProcedureAccessRule
  • ProcedureAccessRuleMatcher
  • ProcedureNames
  • QueryAccessRule
  • SystemSessionPropertyAccessRule
  • PropertyAccessRuleMatcher
  • PropertyNames
  • CatalogSessionPropertyAccessRule
  • ResourceManagementConfig
  • ResourceGroupsConfig
  • ResourceGroupConfig
  • SelectorRuleConfig
  • QueryConfig
  • TLSConfig
  • UpdateNetworkConfigSpec
  • PrivateAccessConfig
  • LoggingConfig
  • MaintenanceWindow
  • WeeklyMaintenanceWindow
  • Response
  • Status
  1. API reference
  2. REST
  3. Cluster
  4. Update

Managed Service for Trino API, REST: Cluster.Update

Written by
Yandex Cloud
Updated at July 1, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Body parameters
  • UpdateTrinoConfigSpec
  • UpdateCoordinatorConfig
  • Resources
  • UpdateWorkerConfig
  • WorkerScalePolicy
  • FixedScalePolicy
  • AutoScalePolicy
  • RetryPolicyConfig
  • ExchangeManagerConfig
  • ExchangeManagerStorage
  • S3
  • AccessControlConfig
  • CatalogAccessRule
  • CatalogAccessRuleMatcher
  • CatalogIds
  • CatalogNames
  • SchemaAccessRule
  • SchemaAccessRuleMatcher
  • SchemaNames
  • TableAccessRule
  • TableAccessRuleMatcher
  • TableNames
  • Column
  • FunctionAccessRule
  • FunctionAccessRuleMatcher
  • FunctionNames
  • ProcedureAccessRule
  • ProcedureAccessRuleMatcher
  • ProcedureNames
  • QueryAccessRule
  • SystemSessionPropertyAccessRule
  • PropertyAccessRuleMatcher
  • PropertyNames
  • CatalogSessionPropertyAccessRule
  • ResourceManagementConfig
  • ResourceGroupsConfig
  • ResourceGroupConfig
  • SelectorRuleConfig
  • QueryConfig
  • TLSConfig
  • UpdateNetworkConfigSpec
  • PrivateAccessConfig
  • LoggingConfig
  • MaintenanceWindow
  • WeeklyMaintenanceWindow
  • Response
  • Status

Updates configuration of the specified Trino cluster.

HTTP requestHTTP request

PATCH https://trino.api.cloud.yandex.net/managed-trino/v1/clusters/{clusterId}

Path parametersPath parameters

Field

Description

clusterId

string

Required field. ID of the Trino cluster.

The maximum string length in characters is 50.

Body parametersBody parameters

{
  "updateMask": "string",
  "name": "string",
  "description": "string",
  "labels": "object",
  "deletionProtection": "boolean",
  "trino": {
    "coordinatorConfig": {
      "resources": {
        "resourcePresetId": "string"
      }
    },
    "workerConfig": {
      "resources": {
        "resourcePresetId": "string"
      },
      "scalePolicy": {
        // Includes only one of the fields `fixedScale`, `autoScale`
        "fixedScale": {
          "count": "string"
        },
        "autoScale": {
          "minCount": "string",
          "maxCount": "string"
        }
        // end of the list of possible fields
      }
    },
    "version": "string",
    "retryPolicy": {
      "policy": "string",
      "exchangeManager": {
        "additionalProperties": "object",
        "storage": {
          // Includes only one of the fields `serviceS3`, `s3`
          "serviceS3": "object",
          "s3": {
            "bucket": "string"
          }
          // end of the list of possible fields
        }
      },
      "additionalProperties": "object"
    },
    "accessControl": {
      "catalogs": [
        {
          "users": [
            "string"
          ],
          "groups": [
            "string"
          ],
          "catalog": {
            // Includes only one of the fields `nameRegexp`, `ids`, `names`
            "nameRegexp": "string",
            "ids": {
              "any": [
                "string"
              ]
            },
            "names": {
              "any": [
                "string"
              ]
            }
            // end of the list of possible fields
          },
          "permission": "string",
          "description": "string"
        }
      ],
      "schemas": [
        {
          "users": [
            "string"
          ],
          "groups": [
            "string"
          ],
          "catalog": {
            // Includes only one of the fields `nameRegexp`, `ids`, `names`
            "nameRegexp": "string",
            "ids": {
              "any": [
                "string"
              ]
            },
            "names": {
              "any": [
                "string"
              ]
            }
            // end of the list of possible fields
          },
          "schema": {
            // Includes only one of the fields `nameRegexp`, `names`
            "nameRegexp": "string",
            "names": {
              "any": [
                "string"
              ]
            }
            // end of the list of possible fields
          },
          "owner": "string",
          "description": "string"
        }
      ],
      "tables": [
        {
          "users": [
            "string"
          ],
          "groups": [
            "string"
          ],
          "catalog": {
            // Includes only one of the fields `nameRegexp`, `ids`, `names`
            "nameRegexp": "string",
            "ids": {
              "any": [
                "string"
              ]
            },
            "names": {
              "any": [
                "string"
              ]
            }
            // end of the list of possible fields
          },
          "schema": {
            // Includes only one of the fields `nameRegexp`, `names`
            "nameRegexp": "string",
            "names": {
              "any": [
                "string"
              ]
            }
            // end of the list of possible fields
          },
          "table": {
            // Includes only one of the fields `nameRegexp`, `names`
            "nameRegexp": "string",
            "names": {
              "any": [
                "string"
              ]
            }
            // end of the list of possible fields
          },
          "privileges": [
            "string"
          ],
          "columns": [
            {
              "name": "string",
              "access": "string",
              "mask": "string"
            }
          ],
          "filter": "string",
          "description": "string"
        }
      ],
      "functions": [
        {
          "users": [
            "string"
          ],
          "groups": [
            "string"
          ],
          "catalog": {
            // Includes only one of the fields `nameRegexp`, `ids`, `names`
            "nameRegexp": "string",
            "ids": {
              "any": [
                "string"
              ]
            },
            "names": {
              "any": [
                "string"
              ]
            }
            // end of the list of possible fields
          },
          "schema": {
            // Includes only one of the fields `nameRegexp`, `names`
            "nameRegexp": "string",
            "names": {
              "any": [
                "string"
              ]
            }
            // end of the list of possible fields
          },
          "function": {
            // Includes only one of the fields `nameRegexp`, `names`
            "nameRegexp": "string",
            "names": {
              "any": [
                "string"
              ]
            }
            // end of the list of possible fields
          },
          "privileges": [
            "string"
          ],
          "description": "string"
        }
      ],
      "procedures": [
        {
          "users": [
            "string"
          ],
          "groups": [
            "string"
          ],
          "catalog": {
            // Includes only one of the fields `nameRegexp`, `ids`, `names`
            "nameRegexp": "string",
            "ids": {
              "any": [
                "string"
              ]
            },
            "names": {
              "any": [
                "string"
              ]
            }
            // end of the list of possible fields
          },
          "schema": {
            // Includes only one of the fields `nameRegexp`, `names`
            "nameRegexp": "string",
            "names": {
              "any": [
                "string"
              ]
            }
            // end of the list of possible fields
          },
          "procedure": {
            // Includes only one of the fields `nameRegexp`, `names`
            "nameRegexp": "string",
            "names": {
              "any": [
                "string"
              ]
            }
            // end of the list of possible fields
          },
          "privileges": [
            "string"
          ],
          "description": "string"
        }
      ],
      "queries": [
        {
          "users": [
            "string"
          ],
          "groups": [
            "string"
          ],
          "queryOwners": [
            "string"
          ],
          "privileges": [
            "string"
          ],
          "description": "string"
        }
      ],
      "systemSessionProperties": [
        {
          "users": [
            "string"
          ],
          "groups": [
            "string"
          ],
          "property": {
            // Includes only one of the fields `nameRegexp`, `names`
            "nameRegexp": "string",
            "names": {
              "any": [
                "string"
              ]
            }
            // end of the list of possible fields
          },
          "allow": "string",
          "description": "string"
        }
      ],
      "catalogSessionProperties": [
        {
          "users": [
            "string"
          ],
          "groups": [
            "string"
          ],
          "catalog": {
            // Includes only one of the fields `nameRegexp`, `ids`, `names`
            "nameRegexp": "string",
            "ids": {
              "any": [
                "string"
              ]
            },
            "names": {
              "any": [
                "string"
              ]
            }
            // end of the list of possible fields
          },
          "property": {
            // Includes only one of the fields `nameRegexp`, `names`
            "nameRegexp": "string",
            "names": {
              "any": [
                "string"
              ]
            }
            // end of the list of possible fields
          },
          "allow": "string",
          "description": "string"
        }
      ]
    },
    "resourceManagement": {
      "resourceGroups": {
        "rootGroups": [
          {
            "name": "string",
            "maxQueued": "string",
            "softConcurrencyLimit": "string",
            "hardConcurrencyLimit": "string",
            "softMemoryLimit": "string",
            "softCpuLimit": "string",
            "hardCpuLimit": "string",
            "schedulingPolicy": "string",
            "schedulingWeight": "string",
            "subGroups": [
              "object"
            ]
          }
        ],
        "selectors": [
          {
            "user": "string",
            "userGroup": "string",
            "source": "string",
            "queryType": "string",
            "clientTags": [
              "string"
            ],
            "group": "string"
          }
        ],
        "cpuQuotaPeriod": "string"
      },
      "query": {
        "properties": "object"
      }
    },
    "tls": {
      "trustedCertificates": [
        "string"
      ]
    }
  },
  "networkSpec": {
    "securityGroupIds": [
      "string"
    ],
    "privateAccess": {
      "enabled": "boolean"
    }
  },
  "serviceAccountId": "string",
  "logging": {
    // Includes only one of the fields `folderId`, `logGroupId`
    "folderId": "string",
    "logGroupId": "string",
    // end of the list of possible fields
    "enabled": "boolean",
    "minLevel": "string"
  },
  "maintenanceWindow": {
    // Includes only one of the fields `anytime`, `weeklyMaintenanceWindow`
    "anytime": "object",
    "weeklyMaintenanceWindow": {
      "day": "string",
      "hour": "string"
    }
    // end of the list of possible fields
  }
}

Field

Description

updateMask

string (field-mask)

A comma-separated names off ALL fields to be updated.
Only the specified fields will be changed. The others will be left untouched.
If the field is specified in updateMask and no value for that field was sent in the request,
the field's value will be reset to the default. The default value for most fields is null or 0.

If updateMask is not sent in the request, all fields' values will be updated.
Fields specified in the request will be updated to provided values.
The rest of the fields will be reset to the default.

name

string

Name of the Trino cluster. The name must be unique within the folder.

The maximum string length in characters is 63. Value must match the regular expression [a-zA-Z0-9_-]*.

description

string

Description of the Trino cluster.

The maximum string length in characters is 256.

labels

object (map<string, string>)

Custom labels for the Trino cluster as key:value pairs.
For example: {"env": "prod"}.

The maximum string length in characters for each value is 63. The string length in characters for each key must be 1-63. Each key must match the regular expression [a-z][-_0-9a-z]*. Each value must match the regular expression [-_0-9a-z]*. No more than 64 per resource.

deletionProtection

boolean

Deletion Protection inhibits deletion of the cluster.

trino

UpdateTrinoConfigSpec

Configuration of Trino components.

networkSpec

UpdateNetworkConfigSpec

Network related configuration options.

serviceAccountId

string

Service account used to access Cloud resources.

The maximum string length in characters is 50.

logging

LoggingConfig

Cloud logging configuration.

maintenanceWindow

MaintenanceWindow

Window of maintenance operations.

UpdateTrinoConfigSpecUpdateTrinoConfigSpec

Field

Description

coordinatorConfig

UpdateCoordinatorConfig

Configuration for the coordinator, specifying computational resources and other settings.

workerConfig

UpdateWorkerConfig

Configuration for worker nodes, including scaling policy and computational resources.

version

string

Trino version.
Format: "Number".

retryPolicy

RetryPolicyConfig

Configuration for retry policy, specifying the spooling storage destination and other settings.

accessControl

AccessControlConfig

Configuration for access control, specifying the fine-grained access rules.

resourceManagement

ResourceManagementConfig

Configuration for cluster resource management, specifying the resource groups.

tls

TLSConfig

Configuration for TLS.

UpdateCoordinatorConfigUpdateCoordinatorConfig

Field

Description

resources

Resources

Configuration for computational resources assigned to the coordinator instance.

ResourcesResources

Field

Description

resourcePresetId

string

Required field. ID of the preset for computational resources allocated to a instance (e.g., CPU, memory, etc.).

The maximum string length in characters is 50.

UpdateWorkerConfigUpdateWorkerConfig

Field

Description

resources

Resources

Configuration for computational resources for worker instances.

scalePolicy

WorkerScalePolicy

Configuration for scaling policy for worker instances.

WorkerScalePolicyWorkerScalePolicy

Field

Description

fixedScale

FixedScalePolicy

A fixed scaling policy that specifies a fixed number of worker instances.

Includes only one of the fields fixedScale, autoScale.

Defines the scaling type for worker instances.
Only one type of scaling can be specified at a time.

autoScale

AutoScalePolicy

A scaling policy that dynamically adjusts the number of worker instances
based on the cluster's workload. The system automatically increases or
decreases the number of instances within the defined range.

Includes only one of the fields fixedScale, autoScale.

Defines the scaling type for worker instances.
Only one type of scaling can be specified at a time.

FixedScalePolicyFixedScalePolicy

Field

Description

count

string (int64)

Specifies the number of worker instances.

Acceptable values are 1 to 512, inclusive.

AutoScalePolicyAutoScalePolicy

Field

Description

minCount

string (int64)

Minimum number of worker instances.

Acceptable values are 0 to 512, inclusive.

maxCount

string (int64)

Maximum number of worker instances.

Acceptable values are 1 to 512, inclusive.

RetryPolicyConfigRetryPolicyConfig

Field

Description

policy

enum (RetryPolicy)

Retry policy level.

  • QUERY: Retry policy for queries.
  • TASK: Retry policy for tasks.

exchangeManager

ExchangeManagerConfig

Configuration for exchange manager.

additionalProperties

object (map<string, string>)

Additional properties.

The maximum string length in characters for each value is 128. The string length in characters for each key must be 1-128. Each key must match the regular expression [a-z][-_0-9a-z.]*. Each value must match the regular expression [-_0-9a-zA-Z.,:\/_ *]*. No more than 256 per resource.

ExchangeManagerConfigExchangeManagerConfig

Field

Description

additionalProperties

object (map<string, string>)

Additional properties.

The maximum string length in characters for each value is 128. The string length in characters for each key must be 1-128. Each key must match the regular expression [a-z][-_0-9a-z.]*. Each value must match the regular expression [-_0-9a-zA-Z.,:\/_ *]*. No more than 256 per resource.

storage

ExchangeManagerStorage

Storage for spooled data by exchange manager.

ExchangeManagerStorageExchangeManagerStorage

Field

Description

serviceS3

object

Use a service side S3 bucket for exchange manager.

Includes only one of the fields serviceS3, s3.

s3

S3

Use an S3 bucket for exchange manager.

Includes only one of the fields serviceS3, s3.

S3S3

Field

Description

bucket

string

Required field. Name of the bucket to be used as the spool destination for exchange manager.

AccessControlConfigAccessControlConfig

Field

Description

catalogs[]

CatalogAccessRule

Catalog access control rules.

schemas[]

SchemaAccessRule

Schema access control rules.

tables[]

TableAccessRule

Table access control rules.

functions[]

FunctionAccessRule

Function access control rules.

procedures[]

ProcedureAccessRule

Procedures access control rules.

queries[]

QueryAccessRule

Queries access control rules.

systemSessionProperties[]

SystemSessionPropertyAccessRule

System session property access control rules.

catalogSessionProperties[]

CatalogSessionPropertyAccessRule

Catalog session property access control rules.

CatalogAccessRuleCatalogAccessRule

Field

Description

users[]

string

IAM user IDs the rule is applied to.

The maximum string length in characters for each value is 63. Each value must match the regular expression [-_0-9a-z]+. The maximum number of elements is 128.

groups[]

string

IAM group IDs the rule is applied to.

The maximum string length in characters for each value is 63. Each value must match the regular expression [-_0-9a-z]+. The maximum number of elements is 128.

catalog

CatalogAccessRuleMatcher

Catalog matcher specifying what catalogs the rule is applied to.

permission

enum (Permission)

Required field. Permission granted by the rule.

  • NONE: Denies all operations on the catalog entities.
  • ALL: Allows all operations on catalog entities.
  • READ_ONLY: Allows only read operations on catalog entities.

description

string

Rule description.

The maximum string length in characters is 128.

CatalogAccessRuleMatcherCatalogAccessRuleMatcher

Field

Description

nameRegexp

string

Catalog name regexp the rule is applied to.

The maximum string length in characters is 256.

Includes only one of the fields nameRegexp, ids, names.

ids

CatalogIds

Catalog IDs rule is applied to.

Includes only one of the fields nameRegexp, ids, names.

names

CatalogNames

Catalog names rule is applied to.

Includes only one of the fields nameRegexp, ids, names.

CatalogIdsCatalogIds

Field

Description

any[]

string

List of table names. The rule will be applied if a table name is within this list.

The maximum string length in characters for each value is 63. The maximum number of elements is 128.

CatalogNamesCatalogNames

Field

Description

any[]

string

List of catalog names. The rule will be applied if a catalog name is within this list.

The maximum string length in characters for each value is 63. The maximum number of elements is 128.

SchemaAccessRuleSchemaAccessRule

Field

Description

users[]

string

IAM user IDs the rule is applied to.

The maximum string length in characters for each value is 63. Each value must match the regular expression [-_0-9a-z]+. The maximum number of elements is 128.

groups[]

string

IAM group IDs the rule is applied to.

The maximum string length in characters for each value is 63. Each value must match the regular expression [-_0-9a-z]+. The maximum number of elements is 128.

catalog

CatalogAccessRuleMatcher

Catalog matcher specifying what catalogs the rule is applied to.

schema

SchemaAccessRuleMatcher

Schema matcher specifying what schemas the rule is applied to.

owner

enum (Owner)

Required field. Ownership granted by the rule.

  • NO: User is not considered an owner of the schema.
  • YES: User is considered an owner of the schema.

description

string

Rule description.

The maximum string length in characters is 128.

SchemaAccessRuleMatcherSchemaAccessRuleMatcher

Field

Description

nameRegexp

string

Schema name regexp the rule is applied to.

The maximum string length in characters is 256.

Includes only one of the fields nameRegexp, names.

names

SchemaNames

Schema names the rule is applied to.

Includes only one of the fields nameRegexp, names.

SchemaNamesSchemaNames

Field

Description

any[]

string

List of schema names. The rule will be applied if a schema name is within this list.

The maximum string length in characters for each value is 63. Each value must match the regular expression [a-z0-9_-]+. The maximum number of elements is 128.

TableAccessRuleTableAccessRule

Field

Description

users[]

string

IAM user IDs the rule is applied to.

The maximum string length in characters for each value is 63. Each value must match the regular expression [-_0-9a-z]+. The maximum number of elements is 128.

groups[]

string

IAM group IDs the rule is applied to.

The maximum string length in characters for each value is 63. Each value must match the regular expression [-_0-9a-z]+. The maximum number of elements is 128.

catalog

CatalogAccessRuleMatcher

Catalog matcher specifying what catalogs the rule is applied to.

schema

SchemaAccessRuleMatcher

Schema matcher specifying what schemas the rule is applied to.

table

TableAccessRuleMatcher

Table matcher specifying what tables the rule is applied to.

privileges[]

enum (Privilege)

Permission granted by the rule.

  • SELECT: Allows SELECT statements on the table.
  • INSERT: Allows INSERT statements on the table.
  • DELETE: Allows DELETE statements on the table.
  • UPDATE: Allows UPDATE statements on the table.
  • OWNERSHIP: Allows CREATE, DROP, COMMENT ON and ALTER statements on the table.
  • GRANT_SELECT: Allows SELECT statements on the table while creating view.

columns[]

Column

Column rules.

filter

string

Boolean SQL expression to filter table rows for particular user.

The maximum string length in characters is 128.

description

string

Rule description.

The maximum string length in characters is 128.

TableAccessRuleMatcherTableAccessRuleMatcher

Field

Description

nameRegexp

string

Table name regexp the rule is applied to.

The maximum string length in characters is 256.

Includes only one of the fields nameRegexp, names.

names

TableNames

Table names the rule is applied to.

Includes only one of the fields nameRegexp, names.

TableNamesTableNames

Field

Description

any[]

string

List of table names. The rule will be applied if a table name is within this list.

The maximum string length in characters for each value is 63. Each value must match the regular expression [a-z0-9_-]+. The maximum number of elements is 128.

ColumnColumn

Field

Description

name

string

Required field. Column name.

The maximum string length in characters is 63. Value must match the regular expression [a-z0-9_-]+.

access

enum (AccessMode)

Required field. Column access mode.

  • NONE: Access to column is denied.
  • ALL: Access to column is allowed.

mask

string

SQL expression mask to evaluate instead of original column values.
Mask should have the same type as original column.

The maximum string length in characters is 128.

FunctionAccessRuleFunctionAccessRule

Field

Description

users[]

string

IAM user IDs the rule is applied to.

The maximum string length in characters for each value is 63. Each value must match the regular expression [-_0-9a-z]+. The maximum number of elements is 128.

groups[]

string

IAM group IDs the rule is applied to.

The maximum string length in characters for each value is 63. Each value must match the regular expression [-_0-9a-z]+. The maximum number of elements is 128.

catalog

CatalogAccessRuleMatcher

Catalog matcher specifying what catalogs the rule is applied to.

schema

SchemaAccessRuleMatcher

Schema matcher specifying what schema the rule is applied to.

function

FunctionAccessRuleMatcher

Function matcher specifying what functions the rule is applied to.

privileges[]

enum (Privilege)

Privileges granted by the rule.

  • EXECUTE: Allows to execute the function.
  • GRANT_EXECUTE: Allows to use the function while view creation.
  • OWNERSHIP: Allows to CREATE and DROP the function.

description

string

Rule description.

The maximum string length in characters is 128.

FunctionAccessRuleMatcherFunctionAccessRuleMatcher

Field

Description

nameRegexp

string

Function name regexp the rule is applied to.

The maximum string length in characters is 256.

Includes only one of the fields nameRegexp, names.

names

FunctionNames

Function names the rule is applied to.

Includes only one of the fields nameRegexp, names.

FunctionNamesFunctionNames

Field

Description

any[]

string

List of function names. The rule will be applied if a function name is within this list.

The maximum string length in characters for each value is 63. Each value must match the regular expression [a-z0-9_-]+. The maximum number of elements is 128.

ProcedureAccessRuleProcedureAccessRule

Field

Description

users[]

string

IAM user IDs the rule is applied to.

The maximum string length in characters for each value is 63. Each value must match the regular expression [-_0-9a-z]+. The maximum number of elements is 128.

groups[]

string

IAM group IDs the rule is applied to.

The maximum string length in characters for each value is 63. Each value must match the regular expression [-_0-9a-z]+. The maximum number of elements is 128.

catalog

CatalogAccessRuleMatcher

Catalog matcher specifying what catalogs the rule is applied to.

schema

SchemaAccessRuleMatcher

Schema matcher specifying what schema the rule is applied to.

procedure

ProcedureAccessRuleMatcher

Procedure matcher specifying what functions the rule is applied to.

privileges[]

enum (Privilege)

Privileges granted by the rule.

  • EXECUTE: Allows to execute the procedure.

description

string

Rule description.

The maximum string length in characters is 128.

ProcedureAccessRuleMatcherProcedureAccessRuleMatcher

Field

Description

nameRegexp

string

Procedure name regexp the rule is applied to.

The maximum string length in characters is 256.

Includes only one of the fields nameRegexp, names.

names

ProcedureNames

Procedure names the rule is applied to.

Includes only one of the fields nameRegexp, names.

ProcedureNamesProcedureNames

Field

Description

any[]

string

List of procedure names. The rule will be applied if a procedure name is within this list.

The maximum string length in characters for each value is 63. Each value must match the regular expression [a-z0-9_-]+. The maximum number of elements is 128.

QueryAccessRuleQueryAccessRule

Field

Description

users[]

string

IAM user IDs the rule is applied to.

The maximum string length in characters for each value is 63. Each value must match the regular expression [-_0-9a-z]+. The maximum number of elements is 128.

groups[]

string

IAM group IDs the rule is applied to.

The maximum string length in characters for each value is 63. Each value must match the regular expression [-_0-9a-z]+. The maximum number of elements is 128.

queryOwners[]

string

Owners of queries the rule is applied to.
Cannot be combined with EXECUTE privilege.

The maximum string length in characters for each value is 63. Each value must match the regular expression [-_0-9a-z]+. The maximum number of elements is 128.

privileges[]

enum (Privilege)

Privileges granted by the user.

  • VIEW: Allows to view the query.
  • EXECUTE: Allows to execute the query.
  • KILL: Allows to kill the query.

description

string

Rule description.

The maximum string length in characters is 128.

SystemSessionPropertyAccessRuleSystemSessionPropertyAccessRule

Field

Description

users[]

string

IAM user IDs the rule is applied to.

The maximum string length in characters for each value is 63. Each value must match the regular expression [-_0-9a-z]+. The maximum number of elements is 128.

groups[]

string

IAM group IDs the rule is applied to.

The maximum string length in characters for each value is 63. Each value must match the regular expression [-_0-9a-z]+. The maximum number of elements is 128.

property

PropertyAccessRuleMatcher

Property matcher specifying what properties the rule is applied to.

allow

enum (Allow)

Required field. Whether the rule allows setting the property.

  • NO: Denies setting the system session property.
  • YES: Allows to set the system session property.

description

string

Rule description.

The maximum string length in characters is 128.

PropertyAccessRuleMatcherPropertyAccessRuleMatcher

Field

Description

nameRegexp

string

Property name regexp the rule is applied to.

The maximum string length in characters is 256.

Includes only one of the fields nameRegexp, names.

names

PropertyNames

Property names the rule is applied to.

Includes only one of the fields nameRegexp, names.

PropertyNamesPropertyNames

Field

Description

any[]

string

List of property names. The rule will be applied if a property name is within this list.

The maximum string length in characters for each value is 63. Each value must match the regular expression [a-z_]+. The maximum number of elements is 128.

CatalogSessionPropertyAccessRuleCatalogSessionPropertyAccessRule

Field

Description

users[]

string

IAM user IDs the rule is applied to.

The maximum string length in characters for each value is 63. Each value must match the regular expression [-_0-9a-z]+. The maximum number of elements is 128.

groups[]

string

IAM group IDs the rule is applied to.

The maximum string length in characters for each value is 63. Each value must match the regular expression [-_0-9a-z]+. The maximum number of elements is 128.

catalog

CatalogAccessRuleMatcher

Catalog matcher specifying what catalogs the rule is applied to.

property

PropertyAccessRuleMatcher

Property matcher specifying what properties the rule is applied to.

allow

enum (Allow)

Required field. Whether the rule allows setting the property.

  • NO: Denies setting the catalog session property.
  • YES: Allows to set the catalog session property.

description

string

Rule description.

The maximum string length in characters is 128.

ResourceManagementConfigResourceManagementConfig

Field

Description

resourceGroups

ResourceGroupsConfig

Resource groups configuration.

query

QueryConfig

Query management confiugration.

ResourceGroupsConfigResourceGroupsConfig

Field

Description

rootGroups[]

ResourceGroupConfig

Root resource groups configuration.

The number of elements must be greater than 0.

selectors[]

SelectorRuleConfig

Selector rules for routing queries to resource groups.

The number of elements must be greater than 0.

cpuQuotaPeriod

string

Period for CPU quota calculations.

ResourceGroupConfigResourceGroupConfig

Field

Description

name

string

Required field. Resource group name.

maxQueued

string (int64)

Maximum number of queued queries.

Value must be greater than 0.

softConcurrencyLimit

string (int64)

Number of concurrently running queries after which new queries only run if peer groups are below soft limits.

hardConcurrencyLimit

string (int64)

Maximum number of queries that can run concurrently.

Value must be greater than 0.

softMemoryLimit

string

Maximum amount of distributed memory this group can use.

softCpuLimit

string

Maximum CPU time per period this group can use before applying penalty to running queries (requires hard_cpu_limit).

hardCpuLimit

string

Maximum CPU time per period this group can use.

schedulingPolicy

enum (SchedulingPolicy)

Policy for selecting queued queries and sub-group eligibility.

  • FAIR: Queued queries processed first-in-first-out, sub-groups take turns starting queries.
  • WEIGHTED: Queries selected stochastically by priority, sub-groups selected by schedulingWeight.
  • WEIGHTED_FAIR: Sub-groups selected by schedulingWeight and concurrency relative to their share.
  • QUERY_PRIORITY: Queued queries selected strictly by priority.

schedulingWeight

string (int64)

Weight for weighted and weighted_fair scheduling policies.

subGroups[]

ResourceGroupConfig

List of sub-groups.

SelectorRuleConfigSelectorRuleConfig

Field

Description

user

string

Regex to match against username.

userGroup

string

Regex to match against user groups.

source

string

Regex to match against query source.

queryType

enum (QueryType)

Type of query to match.

  • SELECT: SELECT query.
  • EXPLAIN: EXPLAIN query.
  • DESCRIBE: DESCRIBE query.
  • INSERT: INSERT query.
  • UPDATE: UPDATE query.
  • MERGE: MERGE query.
  • DELETE: DELECT query.
  • ANALYZE: ANALYZE query.
  • DATA_DEFINITION: Data definition query.
  • ALTER_TABLE_EXECUTE: ALTER TABLE EXECUTE query.

clientTags[]

string

Tags that must all be present in the query's client tags.

group

string

Required field. Target resource group name.

QueryConfigQueryConfig

Field

Description

properties

object (map<string, string>)

Query properties.

TLSConfigTLSConfig

Field

Description

trustedCertificates[]

string

Trusted CA-certificates. Each element should contain single self-signed CA-certificate or
chain of CA-certificates where first certificate is the leaf and last certificate is the self-signed root.

The maximum string length in characters for each value is 8192. The maximum number of elements is 8.

UpdateNetworkConfigSpecUpdateNetworkConfigSpec

Field

Description

securityGroupIds[]

string

User security groups.

privateAccess

PrivateAccessConfig

Private access configuration for secure connectivity to the cluster.

PrivateAccessConfigPrivateAccessConfig

Field

Description

enabled

boolean

Enables access to the cluster only via private endpoint.

LoggingConfigLoggingConfig

Field

Description

folderId

string

Logs should be written to default log group for specified folder.

Value must match the regular expression ([a-zA-Z][-a-zA-Z0-9_.]{0,63})?.

Includes only one of the fields folderId, logGroupId.

Destination of log records.

logGroupId

string

Logs should be written to log group resolved by ID.

Value must match the regular expression ([a-zA-Z][-a-zA-Z0-9_.]{0,63})?.

Includes only one of the fields folderId, logGroupId.

Destination of log records.

enabled

boolean

Logs generated by the Trino components are delivered to Cloud Logging.

minLevel

enum (Level)

Minimum log entry level.
See LogLevel.Level for details.

  • TRACE: Trace log level.
    Possible use case: verbose logging of some business logic.
  • DEBUG: Debug log level.
    Possible use case: debugging special cases in application logic.
  • INFO: Info log level.
    Mostly used for information messages.
  • WARN: Warn log level.
    May be used to alert about significant events.
  • ERROR: Error log level.
    May be used to alert about errors in infrastructure, logic, etc.
  • FATAL: Fatal log level.
    May be used to alert about unrecoverable failures and events.

MaintenanceWindowMaintenanceWindow

Field

Description

anytime

object

The cluster may be restarted for maintenance at any time.

Includes only one of the fields anytime, weeklyMaintenanceWindow.

weeklyMaintenanceWindow

WeeklyMaintenanceWindow

Maintenance is allowed only within the specified weekly window.

Includes only one of the fields anytime, weeklyMaintenanceWindow.

WeeklyMaintenanceWindowWeeklyMaintenanceWindow

Field

Description

day

enum (WeekDay)

Day of the week when maintenance can occur.

  • MON: Monday.
  • TUE: Tuesday.
  • WED: Wednesday.
  • THU: Thursday.
  • FRI: Friday.
  • SAT: Saturday.
  • SUN: Sunday.

hour

string (int64)

Hour of the day in UTC when the maintenance window starts.

Acceptable values are 1 to 24, inclusive.

ResponseResponse

HTTP Code: 200 - OK

{
  "id": "string",
  "description": "string",
  "createdAt": "string",
  "createdBy": "string",
  "modifiedAt": "string",
  "done": "boolean",
  "metadata": "object",
  // Includes only one of the fields `error`, `response`
  "error": {
    "code": "integer",
    "message": "string",
    "details": [
      "object"
    ]
  },
  "response": "object"
  // end of the list of possible fields
}

An Operation resource. For more information, see Operation.

Field

Description

id

string

ID of the operation.

description

string

Description of the operation. 0-256 characters long.

createdAt

string (date-time)

Creation timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

createdBy

string

ID of the user or service account who initiated the operation.

modifiedAt

string (date-time)

The time when the Operation resource was last modified.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

done

boolean

If the value is false, it means the operation is still in progress.
If true, the operation is completed, and either error or response is available.

metadata

object

Service-specific metadata associated with the operation.
It typically contains the ID of the target resource that the operation is performed on.
Any method that returns a long-running operation should document the metadata type, if any.

error

Status

The error result of the operation in case of failure or cancellation.

Includes only one of the fields error, response.

The operation result.
If done == false and there was no failure detected, neither error nor response is set.
If done == false and there was a failure detected, error is set.
If done == true, exactly one of error or response is set.

response

object

The normal response of the operation in case of success.
If the original method returns no data on success, such as Delete,
the response is google.protobuf.Empty.
If the original method is the standard Create/Update,
the response should be the target resource of the operation.
Any method that returns a long-running operation should document the response type, if any.

Includes only one of the fields error, response.

The operation result.
If done == false and there was no failure detected, neither error nor response is set.
If done == false and there was a failure detected, error is set.
If done == true, exactly one of error or response is set.

StatusStatus

The error result of the operation in case of failure or cancellation.

Field

Description

code

integer (int32)

Error code. An enum value of google.rpc.Code.

message

string

An error message.

details[]

object

A list of messages that carry the error details.

Was the article helpful?

Previous
Create
Next
Delete
© 2026 Direct Cursus Technology L.L.C.